using System.Collections.ObjectModel;
using Entidades;
using Modelo;

namespace Controladora
{
    public class ControladoraPedidoDePresupuestos : Singleton<ControladoraPedidoDePresupuestos>
    {
        public string Añadir(PedidoDePresupuesto t)
        {
            if (t == null) return "El PedidoDePresupuesto es nulo fallo la carga";

            return (RepositorioPedidoDePresupuesto.Instance.Add(t)) ? 
                $"El PedidoDePresupuesto {t.Id} se cargo correctamente":
                $"Fallo la carga del PedidoDePresupuesto {t.Id}"; 
        }

        public string Eliminar(PedidoDePresupuesto t)
        {
           if (t == null) return "El PedidoDePresupuesto es nulo fallo la carga";

            return (RepositorioPedidoDePresupuesto.Instance.Del(t)) ? 
                $"El PedidoDePresupuesto {t.Id} se Elimino correctamente":
                $"Fallo la Eliminacion del PedidoDePresupuesto {t.Id}";         
        }

        public string Modificar(PedidoDePresupuesto t)
        {
            if (t == null) return "El PedidoDePresupuesto es nulo fallo la carga";

            return (RepositorioPedidoDePresupuesto.Instance.Mod(t)) ? 
                $"El PedidoDePresupuesto {t.Id} se Modifico correctamente":
                $"Fallo la Modificacion del PedidoDePresupuesto {t.Id}";    
        }

        public ReadOnlyCollection<PedidoDePresupuesto> Listar()
        {
            return RepositorioPedidoDePresupuesto.Instance.Listar();
        }
    }
}

